Bug 92740 - Web Inspector: take into account the whole security origin instead of just host
Summary: Web Inspector: take into account the whole security origin instead of just host
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Alexei Filippov
URL:
Keywords:
Depends on:
Blocks: 91617
  Show dependency treegraph
 
Reported: 2012-07-31 04:25 PDT by Alexei Filippov
Modified: 2012-08-02 05:45 PDT (History)
13 users (show)

See Also:


Attachments
Patch (5.68 KB, patch)
2012-07-31 04:29 PDT, Alexei Filippov
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from gce-cr-linux-06 (351.57 KB, application/zip)
2012-07-31 05:05 PDT, WebKit Review Bot
no flags Details
Patch (6.94 KB, patch)
2012-07-31 05:24 PDT, Alexei Filippov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexei Filippov 2012-07-31 04:25:23 PDT
Make the DOM Storage Agent take into account all the
information relevant to the security origin, i.e. protocol, host, and
port. Currently only the host is taken into account. That causes
inspector to show the first storage only in the case a page operates
over several security origins sharing the same host (but having
different protocols e.g. http and https).
Comment 1 Alexei Filippov 2012-07-31 04:29:18 PDT
Created attachment 155488 [details]
Patch
Comment 2 WebKit Review Bot 2012-07-31 05:05:16 PDT
Comment on attachment 155488 [details]
Patch

Attachment 155488 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13392684

New failing tests:
http/tests/inspector-enabled/dom-storage-open.html
Comment 3 WebKit Review Bot 2012-07-31 05:05:22 PDT
Created attachment 155498 [details]
Archive of layout-test-results from gce-cr-linux-06

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: gce-cr-linux-06  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.39-gcg-201203291735-x86_64-with-Ubuntu-10.04-lucid
Comment 4 Alexei Filippov 2012-07-31 05:24:06 PDT
Created attachment 155503 [details]
Patch
Comment 5 WebKit Review Bot 2012-07-31 08:06:01 PDT
Comment on attachment 155503 [details]
Patch

Clearing flags on attachment: 155503

Committed r124201: <http://trac.webkit.org/changeset/124201>
Comment 6 WebKit Review Bot 2012-07-31 08:06:06 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Timothy Hatcher 2012-08-01 09:11:05 PDT
This is a protocol change. So why not also change the label from "host" to "origin" given the fact that it is not just the host anymore?

Avoiding a protocol change would also be nice. Having "origin" as a separate field along side "host" could work, or add "port" and "scheme".

Does the origin even need reported to the front-end? The check for which items to show happens on the back-end, and the fornt-end isn't parsing the origin. Then you avoid changing the protocol and just report the host to the front-end.
Comment 8 Pavel Feldman 2012-08-02 02:47:03 PDT
(In reply to comment #7)
> This is a protocol change. So why not also change the label from "host" to "origin" given the fact that it is not just the host anymore?
> 

This domain is hidden altogether, so this is not a breaking change as long as it is reflected properly in the .json file.

> Avoiding a protocol change would also be nice. Having "origin" as a separate field along side "host" could work, or add "port" and "scheme".
> 

We should not care about hidden domains much. Adding fields only increases maintenance cost and the traffic.

> Does the origin even need reported to the front-end? The check for which items to show happens on the back-end, and the fornt-end isn't parsing the origin. Then you avoid changing the protocol and just report the host to the front-end.

That is a good observation. We probably parse domain though - it shows up in the resources panel UI.
Comment 9 Alexei Filippov 2012-08-02 05:45:19 PDT
(In reply to comment #7)
> This is a protocol change. So why not also change the label from "host" to "origin" given the fact that it is not just the host anymore?
> 
> Avoiding a protocol change would also be nice. Having "origin" as a separate field along side "host" could work, or add "port" and "scheme".

Changed the host to origin in the protocol. Please see https://bugs.webkit.org/show_bug.cgi?id=92979

> Does the origin even need reported to the front-end? The check for which items to show happens on the back-end, and the fornt-end isn't parsing the origin. Then you avoid changing the protocol and just report the host to the front-end.

I think we need to show the whole origin in the FE, so the used may distinguish e.g. http://host and https://host storages.